Component({
    properties: {
        list: Array,
        getResult: Function,
        result: Array
    },
    options: {
        addGlobalClass: true
    },
    data: {
        show: false
    },
    methods: {
        onChange({
            detail
        }) {
            this.setData({
                result: detail
            })
        },
        onClose() {
            this.setData({
                show: false
            })
        },
        handleReturn() {
            if (!this.data.result.length) return;
            this.triggerEvent("getResult", this.data.result)
            this.setData({
                show: false,
                result: []
            })
        }
    }
})